"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const checkCommandInputs_1 = require("../../helpers/checkCommandInputs");
class MethodCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(MethodCommand);
        // Show help on empty sub command
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
        }
    }
}
MethodCommand.description = `Allows actions with methods.`;
MethodCommand.aliases = ['m'];
exports.default = MethodCommand;
