import { BaseCommand } from '../../base';
export default class SendTransactionCommand extends BaseCommand {
    static description: string;
    static flags: {
        pk: {
            required: boolean;
            name: string;
            char?: "a" | "b" | "c" | "d" | "e" | "f" | "g" | "h" | "i" | "j" | "k" | "l" | "m" | "n" | "o" | "p" | "q" | "r" | "s" | "t" | "u" | "v" | "w" | "x" | "y" | "z" | "A" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "V" | "W" | "X" | "Y" | "Z" | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            hidden?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            env?: string | undefined;
            parse(input: string, context: any): string | undefined;
            type: "option";
            helpValue?: string | undefined;
            default?: string | ((context: import("@oclif/parser/lib/flags").DefaultContext<string | undefined>) => string | undefined) | undefined;
            multiple: boolean;
            input: string[];
            options?: string[] | undefined;
            completion?: import("@oclif/command/lib/flags").ICompletion | undefined;
        };
        url: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        mainnet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        ropsten: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        rinkeby: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        rsk: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'rsk-testnet': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        kovan: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        sokol: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        poa: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        xdai: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static examples: string[];
    static aliases: string[];
    run(): Promise<void>;
}
