import { BaseCommand } from '../base';
export default class ReplCommand extends BaseCommand {
    static description: string;
    static strict: boolean;
    static flags: {
        pk: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        url: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        mainnet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        ropsten: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        rinkeby: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        rsk: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'rsk-testnet': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        kovan: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        sokol: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        poa: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        xdai: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    static examples: string[];
    run(): Promise<void>;
}
