"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const checkCommandInputs_1 = require("../../helpers/checkCommandInputs");
class AbiCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(AbiCommand);
        // Show help on empty sub command
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
        }
    }
}
AbiCommand.description = `Allows actions with abis.`;
exports.default = AbiCommand;
