"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const knownAbis_1 = require("../../helpers/knownAbis");
class ListCommand extends command_1.Command {
    async run() {
        const abiList = knownAbis_1.getAbiList();
        const listFormated = abiList.join().replace(',', '\n');
        this.log(listFormated);
    }
}
ListCommand.description = 'Displays the list of known-abis';
ListCommand.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
ListCommand.examples = ['eth abi:list'];
exports.default = ListCommand;
