"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const checkCommandInputs_1 = require("../../helpers/checkCommandInputs");
class ContractCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(ContractCommand);
        // Show help on empty sub command
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
        }
    }
}
ContractCommand.description = `Allows actions with contracts.`;
ContractCommand.aliases = ['ct'];
exports.default = ContractCommand;
