"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const checkCommandInputs_1 = require("../../helpers/checkCommandInputs");
class TxCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(TxCommand);
        // Show help on empty sub command
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
        }
    }
}
TxCommand.description = 'Allows actions with transactions.';
TxCommand.aliases = ['tx'];
exports.default = TxCommand;
