import { ABIItem } from '../types';
export declare const add0x: (hex: string) => string;
export declare const loadABI: (abiPath: string) => any;
export declare const extractMethodObjectsFromABI: (abi: ABIItem[]) => ABIItem[];
/**
 * Evaluates a method call structure and returns an object with the information validated
 */
export declare const evaluateMethodCallStructure: (methodCall: string) => {
    methodCall: string;
    methodName: string | null;
    methodArgs: string | null;
    methodValid: boolean;
};
export declare const generateAccount: (prefix: string) => () => import("web3-eth-accounts").Account;
export declare const range: (amount: number) => any[];
export declare const evaluatePrefix: (prefix: string) => string | null;
export declare const isBN: (x: any) => boolean;
